summaryrefslogtreecommitdiff
path: root/social/liblockfile
diff options
context:
space:
mode:
authorNicolás Reynolds <fauno@kiwwwi.com.ar>2011-05-09 16:50:25 -0300
committerNicolás Reynolds <fauno@kiwwwi.com.ar>2011-05-09 16:50:25 -0300
commitb6aef2fa31eefccec41172ba32ece5326c729291 (patch)
tree7a6e6efcc20c45c379f244ea388dda5e1a0c2334 /social/liblockfile
parentdccab1509d2289e66edf699d1f90d127648fdeeb (diff)
parent13bf0e2a4ebb6c8b591b204f4c2e3c8e73e6fe18 (diff)
downloadabslibre-b6aef2fa31eefccec41172ba32ece5326c729291.tar.gz
abslibre-b6aef2fa31eefccec41172ba32ece5326c729291.tar.bz2
abslibre-b6aef2fa31eefccec41172ba32ece5326c729291.zip
Merge branch 'master' of ssh://vparabola/srv/git/projects/abslibre
Conflicts: libre/kernel26-libre-lts/PKGBUILD libre/kernel26-libre-lts/config.x86_64
Diffstat (limited to 'social/liblockfile')
-rw-r--r--social/liblockfile/PKGBUILD30
1 files changed, 30 insertions, 0 deletions
diff --git a/social/liblockfile/PKGBUILD b/social/liblockfile/PKGBUILD
new file mode 100644
index 000000000..e3428763c
--- /dev/null
+++ b/social/liblockfile/PKGBUILD
@@ -0,0 +1,30 @@
+# Contributor: Andreas Wagner <Andreas dot Wagner at em dot uni-frankfurt dot de>
+
+pkgname=liblockfile
+pkgver=1.08_4
+pkgrel=1
+pkgdesc="a library with NFS-safe locking functions"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://packages.debian.org/unstable/libs/liblockfile1"
+depends=('glibc')
+makedepends=()
+source=(http://ftp.debian.org/debian/pool/main/libl/$pkgname/${pkgname}_1.08.orig.tar.gz
+ http://ftp.debian.org/debian/pool/main/libl/$pkgname/${pkgname}_${pkgver/_/-}.debian.tar.bz2)
+
+build() {
+ cd $startdir/src/$pkgname-1.08
+
+ for p in `cat ../debian/patches/series` ; do
+ patch -p1 < ../debian/patches/$p
+ done
+
+ ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+ make || return 1
+
+ mkdir -p $startdir/pkg/usr/{lib,bin,include,share/man/man1,share/man/man3}
+ make install prefix=$startdir/pkg/usr mandir=$startdir/pkg/usr/share/man || return 1
+}
+
+md5sums=('c24e2dfb4a2aab0263fe5ac1564d305e'
+ '50c0c049d2838704f5720f5fd9eaddac')